Map Broker Services
Routing
Calculate a route between an origin and a destination for a generic vehicle or a pedestrian, based on the HERE Routing API v8.
To see the full list of parameters or their details, visit the HERE Routing API documentation.
Headers & authentication
Required request headers and their expected values.
| Field | Type | Description |
|---|---|---|
tokenreq | String | Authentication token sent in the |
Request
| Field | Type | Description |
|---|---|---|
transportModereq | String | Mode of transport: Default value: |
originreq | String | Origin waypoint (WGS84). Format: |
destinationreq | String | Destination waypoint (WGS84). Format: |
via | String | Via waypoint(s). Multiple values are allowed and are traversed sequentially in the specified order. |
routingMode | String | Route optimization: Default value: |
return | String | Attributes to include in the response, including |
spans | String | Map content attributes to include per span. Requires |
units | String | Units of measurement: Default value: |
lang | String | Preferred response language in BCP 47 format, for example |
Response
Calculated routes and system status.
| Field | Type | Description |
|---|---|---|
data | Object | Calculated route data. |
routes | Array | Route(s) calculated. |
id | String | Unique route id. |
sections | Array | Sections composing the route. |
id | String | Section id. |
type | String | Section type: |
departure | Object | |
place | Object | |
type | String | Type of place. |
location | Object | |
lat | Number | Latitude (WGS84). |
lng | Number | Longitude (WGS84). |
originalLocation | Object | |
lat | Number | Latitude (WGS84). |
lng | Number | Longitude (WGS84). |
arrival | Object | |
place | Object | |
type | String | Type of place. |
location | Object | |
lat | Number | Latitude (WGS84). |
lng | Number | Longitude (WGS84). |
originalLocation | Object | |
lat | Number | Latitude (WGS84). |
lng | Number | Longitude (WGS84). |
summary | Object | |
duration | Number | Duration in seconds. |
length | Number | Length in meters. |
baseDuration | Number | Duration ignoring traffic conditions. |
transport | Object | |
mode | String | Mode of transport used. |
polyline | String | Route geometry in Flexible Polyline encoding. |
actions | Array | Actions required to complete the section. |
spans | Array | Map content attributes for each span. |
routeLabels | Array of String | Most important names and route numbers. |
routeHandle | String | Encoded route handle for later route decoding. |
notices | Array | Issues related to the route calculation. |
system | Object | System error status. |
ret_code | Number | Code: |
des_ret_code | String | Description of the return status. |
curl -X POST "https://{host}:{port}/EgonMbk/api/routes?transportMode=car&origin=44.9741733,7.7232365&destination=43.87644,11.11885&routingMode=fast&units=metric" \
-H "token: YOUR_API_KEY"